| ApossC SDK V01.15

Functions
SDK_VirtualModule_AxisSetup.mc File Reference

Functions to work with virtual axis modules. More...

`#include "SDK_VirtualModule_AxisSetup.mh"`

Go to the source code of this file.

## Functions
long | sdkSetupAxisSimulation (long axis)
| Start a simulated axis. More...

## Detailed Description

Functions to work with virtual axis modules.

Revision
  39

Definition in file SDK_VirtualModule_AxisSetup.mc.

## Function Documentation

## ◆ sdkSetupAxisSimulation()

long sdkSetupAxisSimulation | ( | long | axis | ) |

Start a simulated axis.

Create a simulated axis with a virtual axismodule. A virtual axis can be used for simulation reasons.

Parameters

  axis | Axis module number

Returns
  value: Always 1 in this function
  value > 0 Process successful
  value = 0 Process is active
  value < 0 Error

Examples
  Stepper_XY_OL.mc, and VirtualMaster_ProfileMode.mc.

Definition at line 22 of file SDK_VirtualModule_AxisSetup.mc.

23 {
24 VIRTCOUNTIN_PARAM(axis, VIRTCNTIN_PISRC_COUNTER) = AXE_PROCESS_SRCINDEX(axis, REG_COMPOS);
25 VIRTCOUNTIN_PARAM(axis, VIRTCNTIN_MODE) = VIRTCNTIN_MODE_SIMULATION_SLAVE;
26 VIRTLATCH_PARAM(axis, VIRTLATCH_MODE) = VIRTLATCH_MODE_SIMULATOR;
27 VIRTLATCH_PARAM(axis, VIRTLATCH_PISRC_COUNTER) = AXE_PROCESS_SRCINDEX(axis, REG_ACTPOS);
28
29 return(1);
30 }
VIRTCNTIN_MODE
#define VIRTCNTIN_MODE
Counter mode.
Definition: SdoDictionary.mh:5003
VIRTCOUNTIN_PARAM
#define VIRTCOUNTIN_PARAM(modno, parno)
Virtual Counter Inputs parameters: Setter.
Definition: SdoDictionary.mh:4985
VIRTLATCH_MODE
#define VIRTLATCH_MODE
Latch mode.
Definition: SdoDictionary.mh:5122
REG_ACTPOS
#define REG_ACTPOS
Actual position value.
Definition: SdoDictionary.mh:3199
VIRTLATCH_PARAM
#define VIRTLATCH_PARAM(modno, parno)
Virtual Latch Inputs Parameters: Setter.
Definition: SdoDictionary.mh:5111
REG_COMPOS
#define REG_COMPOS
Set-point position value.
Definition: SdoDictionary.mh:3207
AXE_PROCESS_SRCINDEX
#define AXE_PROCESS_SRCINDEX(modno, parno)
Axis Process Data: Source Index.
Definition: SdoDictionary.mh:3181
VIRTCNTIN_MODE_SIMULATION_SLAVE
#define VIRTCNTIN_MODE_SIMULATION_SLAVE
Definition: SdoDictionary.mh:5082
VIRTLATCH_MODE_SIMULATOR
#define VIRTLATCH_MODE_SIMULATOR
Definition: SdoDictionary.mh:5252
VIRTCNTIN_PISRC_COUNTER
#define VIRTCNTIN_PISRC_COUNTER
Index/subindex of counter source.
Definition: SdoDictionary.mh:5030
VIRTLATCH_PISRC_COUNTER
#define VIRTLATCH_PISRC_COUNTER
Index/subindex of counter source (attached)
Definition: SdoDictionary.mh:5147

Data Sheets | Released Software | Software Manuals | Hardware Manuals | Maxon Shop

Maxon Support Center